package admin

import (
	"errors"
	"github.com/kataras/iris/v12"
	"main/utils"
)

func Admin(ctx iris.Context) {
	err := ctx.JSON(utils.FormatRes(iris.StatusOK, "", "adminPage"))
	if err != nil {
		return
	}
}

// CheckAdmin 检查admin权限
func checkAdmin(ctx iris.Context) {
	user := utils.GetLoginUser(ctx)
	if user.Type != "admin" {
		ctx.StatusCode(iris.StatusForbidden)
		ctx.SetErr(errors.New("权限不足"))
		return
	}
	ctx.Next()
}
